Loading...
Searching...
No Matches
ArrayCopy< String > Struct Reference

`#include <PycArrayComH.h>`

## Static Public Member Functions

static void | toPy (void *to, const String *from, size_t nr)
static void | fromPy (String *to, const void *from, size_t nr)
static Array< String > | toArray (const IPosition &shape, void *data, bool copy)

## Detailed Description

Definition at line 70 of file PycArrayComH.h.

## Member Function Documentation

## fromPy()

void ArrayCopy< String >::fromPy | ( | String * | to,
|  | const void * | from,
|  | size_t | nr )

static

Definition at line 259 of file PycArrayComCC.h.

Referenced by toArray().

## toArray()

Array< String > ArrayCopy< String >::toArray | ( | const IPosition & | shape,
|  | void * | data,
|  | bool | copy )

static

Definition at line 270 of file PycArrayComCC.h.

References fromPy().

## toPy()

void ArrayCopy< String >::toPy | ( | void * | to,
|  | const String * | from,
|  | size_t | nr )

static

Definition at line 248 of file PycArrayComCC.h.

The documentation for this struct was generated from the following files:

- python/Converters/PycArrayComH.h
- python/Converters/PycArrayComCC.h